| Flutter Impeller |

Classes | Public Member Functions | Friends | List of all members
impeller::Tessellator::EllipticalVertexGenerator Class Reference

The |VertexGenerator| implementation common to all shapes that are based on a polygonal representation of an ellipse. More...

`#include <tessellator.h>`

Inheritance diagram for impeller::Tessellator::EllipticalVertexGenerator:

## Public Member Functions
PrimitiveType | GetTriangleType () const override
| |VertexGenerator| More...
size_t | GetVertexCount () const override
| |VertexGenerator| More...
void | GenerateVertices (const TessellatedVertexProc &proc) const override
| |VertexGenerator| More...

## Friends
class | Tessellator

## Detailed Description

The |VertexGenerator| implementation common to all shapes that are based on a polygonal representation of an ellipse.

Definition at line 140 of file tessellator.h.

## Member Function Documentation

## ◆ GenerateVertices()

void impeller::Tessellator::EllipticalVertexGenerator::GenerateVertices | ( | const TessellatedVertexProc & | proc | ) | const
| inlineoverridevirtual

|VertexGenerator|

Implements impeller::Tessellator::VertexGenerator.

Definition at line 153 of file tessellator.h.

153 {
154 impl_(trigs_, data_, proc);
155 }

## ◆ GetTriangleType()

PrimitiveType impeller::Tessellator::EllipticalVertexGenerator::GetTriangleType | ( |  | ) | const
| inlineoverridevirtual

|VertexGenerator|

Implements impeller::Tessellator::VertexGenerator.

Definition at line 143 of file tessellator.h.

143 {
144 return PrimitiveType::kTriangleStrip;
145 }
impeller::PrimitiveType::kTriangleStrip
@ kTriangleStrip

References impeller::kTriangleStrip.

## ◆ GetVertexCount()

size_t impeller::Tessellator::EllipticalVertexGenerator::GetVertexCount | ( |  | ) | const
| inlineoverridevirtual

|VertexGenerator|

Implements impeller::Tessellator::VertexGenerator.

Definition at line 148 of file tessellator.h.

148 {
149 return trigs_.size() * vertices_per_trig_;
150 }
impeller::Tessellator::Trigs::size
size_t size() const
Definition: tessellator.h:53

References impeller::Tessellator::Trigs::size().

Referenced by impeller::testing::TEST().

## Friends And Related Function Documentation

## ◆ Tessellator

friend class Tessellator
| friend

Definition at line 158 of file tessellator.h.

The documentation for this class was generated from the following files:

- impeller/tessellator/tessellator.h
- impeller/tessellator/tessellator.cc